package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/enterprise/src/gongyinglian/model"
	"shylinux.com/x/enterprise/src/guanlixitong"
)

type Portal struct {
	guanlixitong.Portal
	product     Product
	order       Order
	placeCreate string `name:"placeCreate city_name* company_name* store_name* store_type:select" role:"void"`
}

func (s Portal) AfterPlaceAuth(m *ice.Message, arg ...string) {
	defer s.DashboardCreate(m, "")()
	s.DashboardInsert(m, 1, "订单总额", "money", s.order, "SUM(amount) / 100.0", model.FROM_STORE_UID, m.Option(model.STORE_UID), model.STATUS, kit.Format(OrderDeal))
	s.DashboardInsert(m, 2, "订单数量", "order", s.order, "", model.FROM_STORE_UID, m.Option(model.STORE_UID), model.STATUS, kit.Format(OrderDeal))
	s.DashboardInsert(m, 3, "库存数量", "stock", s.product, "SUM(stock)")
	s.DashboardInsert(m, 4, "库存总额", "money", s.product, "SUM(stock * price) / 100.0")
}

func init() { gonganxitong.PortalCmd(Portal{Portal: guanlixitong.NewPortal(userStore{}, store{})}) }
