package gongyinglian

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type store struct{ Table }

func (s store) Lock(m *ice.Message, arg ...string) *ice.Message {
	return m.Cmd(s, s.SelectForUpdate, model.UID, m.Option(model.STORE_UID))
}

func init() { ice.TeamCtxCmd(store{}) }

type StoreType int

const (
	StoreShop StoreType = iota
	StoreChannel
	StoreFactory
)

var StoreTypeList = map[StoreType]string{
	StoreShop:    "shop",
	StoreChannel: "channel",
	StoreFactory: "factory",
}

func (s StoreType) String() string { return StoreTypeList[s] }
