package guanlixitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/api"
	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type company struct {
	Table
	modify     string `name:"modify info" role:"tech"`
	list       string `name:"list city_name company_name auto" role:"void"`
	authCreate string `name:"authCreate" role:"tech"`
}

func (s company) FindOrCreateByName(m *ice.Message, arg ...string) {
	if msg := m.Cmd(s, s.Select, model.NAME, arg[3], arg[0], arg[1]); msg.Length() == 0 {
		msg := m.Cmd(s, s.Insert, model.NAME, arg[3], arg[0], arg[1])
		arg[2], arg[3] = model.COMPANY_UID, msg.Result()
	} else {
		arg[2], arg[3] = model.COMPANY_UID, msg.Append(model.UID)
	}
}
func (s company) Modify(m *ice.Message, arg ...string) {
	s.Update(m, m.OptionSimple(model.INFO), m.OptionSimple(model.UID)...)
}
func (s company) List(m *ice.Message, arg ...string) {
	if m.Option(model.AUTH_UID) != "" {
		s.AutoCmdy(m, api.RENZHENGSHOUQUAN_AUTH, m.Option(model.AUTH_UID)).Cut(model.SERVICE_UID, model.PLACE_UID)
		s.SelectJoinRecent(m, "")
		s.SelectJoinService(m)
		m.Display("").DisplayCSS("").Sort("service_name,place_name")
		return
	}
	if len(arg) == 0 {
		s.CityList(m)
	} else if msg := s.CityList(m.Spawn(), arg[0]); len(arg) == 1 {
		s.Select(m, model.CITY_UID, msg.Append(model.UID)).RenameAppend(model.NAME, model.COMPANY_NAME)
	} else if len(arg) == 2 {
		s.SelectDetail(m, model.CITY_UID, msg.Append(model.UID), model.NAME, arg[1])
	}
}
func (s company) AuthCreate(m *ice.Message, arg ...string) {
	msg := s.CityCmd(m, s.Select, model.UID, m.Option(model.CITY_UID))
	s.Table.AuthCreate(m, 4, msg.Append(model.AUTH_UID), m.OptionSimple(model.UID)...)
}

func init() { ice.TeamCtxCmd(company{}) }
