package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID                = "uid"
	NAME               = "name"
	INFO               = "info"
	TYPE               = "type"
	STATUS             = "status"
	TITLE              = "title"
	CONTENT            = "content"
	USER_UID           = "user_uid"
	USER_GROUP_ROLE    = "user_group_role"
	GROUP_UID          = "group_uid"
	GROUP_TYPE         = "group_type"
	COMPANY_UID        = "company_uid"
	COMPANY_NAME       = "company_name"
	CITY_UID           = "city_uid"
	CITY_NAME          = "city_name"
	AUTH_UID           = "auth_uid"
	PLACE_UID          = "place_uid"
	SERVICE_UID        = "service_uid"
	MARKET_UID         = "market_uid"
	RECRUITMENT_UID    = "recruitment_uid"
	RECRUITMENT_STATUS = "recruitment_status"
	INTERVIEW_STATUS   = "interview_status"
	START_TIME         = "start_time"
	STOP_TIME          = "stop_time"
	MOBILE             = "mobile"
	DEGREE             = "degree"
	SENIORITY          = "seniority"
	SALARY             = "salary"
	COUNT              = "count"
)

type UserGroup struct {
	db.ModelUserPlace
	GroupUID string `gorm:"type:char(32);index"`
}
type Group struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Company struct {
	db.ModelStreet
}
type Target struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}
type Recruitment struct {
	db.ModelContent
	GroupUID  string `gorm:"type:char(32);index"`
	Degree    string `gorm:"type:varchar(32)"`
	Seniority string `gorm:"type:varchar(32)"`
	Salary    string `gorm:"type:varchar(32)"`
	Total     int    `gorm:"default:0"`
	Count     int    `gorm:"default:0"`
	Status    uint8  `gorm:"default:0"`
}
type Resume struct {
	db.ModelNameInfo
	RecruitmentUID string `gorm:"type:char(32);index"`
	GroupUID       string `gorm:"type:char(32);index"`
	Email          string `gorm:"type:varchar(32)"`
	Mobile         string `gorm:"type:varchar(32)"`
	Degree         string `gorm:"type:varchar(32)"`
}
type Interview struct {
	db.ModelContent
	GroupUID  string `gorm:"type:char(32);index"`
	Address   string `gorm:"type:varchar(255)"`
	Status    uint8  `gorm:"default:0"`
	BeginTime db.Time
	EndTime   db.Time
	StartTime db.Time
	StopTime  db.Time
}
type Employee struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}
type Inventory struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}
type Procurement struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}
type Equipment struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}

func init() {
	db.CmdModels("", &UserGroup{}, &Group{}, &Company{}, &Target{},
		&Recruitment{}, &Resume{}, &Interview{}, &Employee{},
		&Inventory{}, &Procurement{}, &Equipment{},
	)
}
